#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		akonadiconsole
Summary:	Akonadi Console
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	5a287cda7e2fb4242fa05b06de11b28f
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= 5.15.2
BuildRequires:	Qt5DBus-devel >= 5.15.2
BuildRequires:	Qt5Gui-devel >= 5.15.2
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel >= 5.15.2
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	gpgme-qt5-devel
BuildRequires:	ka5-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-search-devel >= %{kdeappsver}
BuildRequires:	ka5-calendarsupport-devel >= %{kdeappsver}
BuildRequires:	ka5-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka5-kmime-devel >= %{kdeappsver}
BuildRequires:	ka5-kpimtextedit-devel >= %{kdeappsver}
BuildRequires:	ka5-libkdepim-devel >= %{kdeappsver}
BuildRequires:	ka5-messagelib-devel >= %{kdeappsver}
BuildRequires:	ka5-pimcommon-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= 5.91.0
BuildRequires:	kf5-kauth-devel >= 5.93.0
BuildRequires:	kf5-kcalendarcore-devel >= 5.91.0
BuildRequires:	kf5-kcodecs-devel >= 5.93.0
BuildRequires:	kf5-kcompletion-devel >= 5.93.0
BuildRequires:	kf5-kconfig-devel >= 5.93.0
BuildRequires:	kf5-kconfigwidgets-devel >= 5.93.0
BuildRequires:	kf5-kcontacts-devel >= 5.91.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.93.0
BuildRequires:	kf5-kcrash-devel >= 5.91.0
BuildRequires:	kf5-kdbusaddons-devel >= 5.91.0
BuildRequires:	kf5-kdoctools-devel >= 5.91.0
BuildRequires:	kf5-ki18n-devel >= 5.93.0
BuildRequires:	kf5-kio-devel >= 5.91.0
BuildRequires:	kf5-kitemmodels-devel >= 5.91.0
BuildRequires:	kf5-kitemviews-devel >= 5.93.0
BuildRequires:	kf5-kjobwidgets-devel >= 5.93.0
BuildRequires:	kf5-kservice-devel >= 5.91.0
BuildRequires:	kf5-ktextwidgets-devel >= 5.91.0
BuildRequires:	kf5-kwidgetsaddons-devel >= 5.93.0
BuildRequires:	kf5-kxmlgui-devel >= 5.91.0
BuildRequires:	kf5-solid-devel >= 5.93.0
BuildRequires:	kf5-sonnet-devel >= 5.93.0
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xapian-core-devel
BuildRequires:	xapian-core-devel
BuildRequires:	xz
ExcludeArch:	x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi console.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadiconsole
%ghost %{_libdir}/libakonadiconsole.so.5
%attr(755,root,root) %{_libdir}/libakonadiconsole.so.*.*.*
%{_desktopdir}/org.kde.akonadiconsole.desktop
%{_iconsdir}/hicolor/128x128/apps/akonadiconsole.png
%{_iconsdir}/hicolor/16x16/apps/akonadiconsole.png
%{_iconsdir}/hicolor/22x22/apps/akonadiconsole.png
%{_iconsdir}/hicolor/256x256/apps/akonadiconsole.png
%{_iconsdir}/hicolor/32x32/apps/akonadiconsole.png
%{_iconsdir}/hicolor/48x48/apps/akonadiconsole.png
%{_iconsdir}/hicolor/64x64/apps/akonadiconsole.png
%{_datadir}/qlogging-categories5/akonadiconsole.categories
%{_datadir}/qlogging-categories5/akonadiconsole.renamecategories
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadiconsole.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 225b3ca
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cc94355
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2cacebb
- updated to 22.08.2

* Tue Sep 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e62674c
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 99a01a0
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 36a1051
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6a8c73d
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 73a9d0b
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 05174ce
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bf017fd
- updated to 22.04.3

* Wed Jun 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e5ed2fb
- replacing ExclusiveArch with ExcludeArch

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7cef634
- excluding x32

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 22f67a8
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 56a9dca
- updated to 22.04.1

* Sun Apr 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8c268e3
- 22.04.0

